Metadata revisions for hw-dump-0.1.1.0

Package maintainers and Hackage trustees are allowed to edit certain bits of package metadata after a release, without uploading a new tarball. Note that the tarball itself is never changed, just the metadata that is stored separately. For more information about metadata revisions, please refer to the Hackage Metadata Revisions FAQ.

No. Time User SHA256
-r6 2021-09-18T06:53:43Z newhoggy 41b5a843e412bbb17e055dadfc75c4dc7606b971368df8d9b7107696f07d3f2a
  • Changed tested-with from

    ghc ==8.10.1: ghc ==8.8.3: ghc ==8.6.5: ghc ==8.4.4
    to
    ghc ==9.0.1: ghc ==8.10.7: ghc ==8.8.4: ghc ==8.6.5

  • Changed the library component's library dependency on 'bytestring' from

    >=0.9 && <0.11
    to
    >=0.9 && <0.12

  • Changed the executable 'hw-dump' component's library dependency on 'bytestring' from

    >=0.9 && <0.11
    to
    >=0.9 && <0.12

  • Changed the executable 'hw-dump' component's library dependency on 'generic-lens' from

    >=1.2.0.0 && <2.2
    to
    >=1.2.0.0 && <2.3

  • Changed the executable 'hw-dump' component's library dependency on 'optparse-applicative' from

    >=0.14 && <0.19
    to
    >=0.14 && <0.17

  • Changed the test suite 'hw-dump-test' component's library dependency on 'bytestring' from

    >=0.9 && <0.11
    to
    >=0.9 && <0.12

  • Changed the test suite 'doctest' component's library dependency on 'doctest' from

    >=0.16.2 && <0.17
    to
    >=0.16.2 && <0.19

  • Changed the benchmark 'bench' component's library dependency on 'bytestring' from

    >=0.9 && <0.11
    to
    >=0.9 && <0.12

-r5 2021-03-24T02:09:44Z newhoggy 70b6c0130a4adfe26434736d544f00f3c0bb4f294c168b404cfa5806d1297fe6
  • Changed the executable 'hw-dump' component's library dependency on 'lens' from

    >=4 && <5
    to
    >=4 && <6

-r4 2021-03-24T01:53:12Z newhoggy df39816a84c5974d66b088ea91f56e3ea92c6ebd2c37e1693f475e4ee7ac5e6b
  • Changed the executable 'hw-dump' component's library dependency on 'generic-lens' from

    >=1.2.0.0 && <2.1
    to
    >=1.2.0.0 && <2.2

-r3 2021-03-17T16:08:02Z haskellworks 8effde2afe6545858c9be99f7e30cd3c2ae898fb30b2ea7eb6218fdbeb75979b
  • Changed the executable 'hw-dump' component's library dependency on 'optparse-applicative' from

    >=0.14 && <0.17
    to
    >=0.14 && <0.19

-r2 2020-08-17T12:39:27Z newhoggy 9acd5d676a06fc472931adb61812c3e4b694f9421aad9cfa426c1fdd645ccc5c
  • Changed the executable 'hw-dump' component's library dependency on 'optparse-applicative' from

    >=0.14 && <0.16
    to
    >=0.14 && <0.17

-r1 2020-04-26T14:31:20Z newhoggy a67e4029ba65c302d76d76472e273dcb1fc8f34f2ccb2ca6485b77669200616c
  • Changed the executable 'hw-dump' component's library dependency on 'generic-lens' from

    >=1.2.0.0 && <1.3
    to
    >=1.2.0.0 && <2.1

-r0 2020-04-14T05:08:07Z haskellworks 58847b368c83bfdbff7c9aaed56dac4be1fbd9e412af5a477f1d87b90bed9d35